## ros-one-hector-geotiff 0.5.2-6noble.20251023.0026

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_geotiff)

find_package(catkin REQUIRED COMPONENTS hector_map_tools hector_nav_msgs nav_msgs pluginlib roscpp std_msgs)

find_package(Qt5 COMPONENTS Widgets REQUIRED)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES geotiff_writer
  CATKIN_DEPENDS hector_map_tools hector_nav_msgs nav_msgs pluginlib roscpp std_msgs
  DEPENDS EIGEN3 Qt5Widgets
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${Qt5Widgets_INCLUDE_DIRS}
)

add_library(geotiff_writer src/geotiff_writer/geotiff_writer.cpp)
target_link_libraries(geotiff_writer ${catkin_LIBRARIES} Qt5::Widgets stdc++fs)
add_dependencies(geotiff_writer ${catkin_EXPORTED_TARGETS})

add_executable(geotiff_saver src/geotiff_saver.cpp)
target_link_libraries(geotiff_saver geotiff_writer)
add_dependencies(geotiff_saver ${catkin_EXPORTED_TARGETS})

add_executable(geotiff_node src/geotiff_node.cpp)
target_link_libraries(geotiff_node geotiff_writer)
add_dependencies(geotiff_node ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(TARGETS geotiff_writer geotiff_saver geotiff_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY fonts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-hector-geotiff 0.5.2-6jammy.20251023.0028

=== debian/changelog ===
ros-one-hector-geotiff (0.5.2-6jammy.20251023.0028) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Oct 2025 00:28:21 +0000

ros-one-hector-geotiff (0.5.2-0jammy) jammy; urgency=high

  * Refactored hector_geotiff dependencies.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-geotiff (0.5.1-0jammy) jammy; urgency=high

  * Fixed "SEVERE WARNING" by pluginloader when killing geotiff node.
    Some minor cleanup.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-geotiff (0.5.0-0jammy) jammy; urgency=high

  * Added missing dependency for Qt5 cmake.
  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Qt5 support for hector geotiff on headless systems.
  * Updated platform args. Test on robot.
  * Experiments with platform argument.
  * Renamed depends for (hopefully soon) rosdep compatibility.
  * Moved to Qt5.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-geotiff (0.4.1-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-geotiff (0.3.6-0jammy) jammy; urgency=high

  * Update geotiff draw interface to support different shapes
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-geotiff (0.3.5-0jammy) jammy; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * hector_geotiff/hector_geotiff_plugins: added possibility to specify Color of robot path in the geotiff file in order to allow multiple color robot paths
  * Contributors: Dorothea Koert, Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-geotiff (0.3.4-0jammy) jammy; urgency=high

  * Removes trailing spaces and fixes indents
  * Contributors: YuK_Ota

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-geotiff (0.3.3-0jammy) jammy; urgency=high

  * fixed cmake find for eigen in indigo
  * added launchfile to restart geotiff node
  * Contributors: Alexander Stumpf

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-one-hector-geotiff (0.3.2-0jammy) jammy; urgency=high

  * Add TrajectoryMapWriter to geotiff_mapper.launch per default
  * Add arguments to launch files for specifying geotiff file path
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-hector-geotiff (0.3.1-0jammy) jammy; urgency=high

  * added missing install rule for launch files
  * moved header files from include/geotiff_writer to include/hector_geotiff
  * fixed warnings for deprecated pluginlib method/macro calls
  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-hector-geotiff (0.3.0-0jammy) jammy; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-hector-geotiff
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libqt5widgets5, qtbase5-dev, ros-one-catkin, ros-one-hector-map-tools, ros-one-hector-nav-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Homepage: http://ros.org/wiki/hector_geotiff
Standards-Version: 3.9.2

Package: ros-one-hector-geotiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5widgets5, qt5-image-formats-plugins, qtbase5-dev, ros-one-hector-map-tools, ros-one-hector-nav-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Description: hector_geotiff provides a node that can be used to save occupancy grid map, robot trajectory and object of interest data to RoboCup Rescue compliant GeoTiff images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-hector-geotiff//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-hector-geotiff 0.5.2-6jammy.20260220.2125

=== debian/changelog ===
ros-one-hector-geotiff (0.5.2-6jammy.20260220.2125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Feb 2026 21:25:33 +0000

## ros-one-hector-geotiff 0.5.2-6noble.20251023.0026

=== debian/changelog ===
ros-one-hector-geotiff (0.5.2-6noble.20251023.0026) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Oct 2025 00:26:59 +0000

ros-one-hector-geotiff (0.5.2-0noble) noble; urgency=high

  * Refactored hector_geotiff dependencies.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-geotiff (0.5.1-0noble) noble; urgency=high

  * Fixed "SEVERE WARNING" by pluginloader when killing geotiff node.
    Some minor cleanup.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-geotiff (0.5.0-0noble) noble; urgency=high

  * Added missing dependency for Qt5 cmake.
  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Qt5 support for hector geotiff on headless systems.
  * Updated platform args. Test on robot.
  * Experiments with platform argument.
  * Renamed depends for (hopefully soon) rosdep compatibility.
  * Moved to Qt5.
  * Contributors: Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-geotiff (0.4.1-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-geotiff (0.3.6-0noble) noble; urgency=high

  * Update geotiff draw interface to support different shapes
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-geotiff (0.3.5-0noble) noble; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * hector_geotiff/hector_geotiff_plugins: added possibility to specify Color of robot path in the geotiff file in order to allow multiple color robot paths
  * Contributors: Dorothea Koert, Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-geotiff (0.3.4-0noble) noble; urgency=high

  * Removes trailing spaces and fixes indents
  * Contributors: YuK_Ota

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-geotiff (0.3.3-0noble) noble; urgency=high

  * fixed cmake find for eigen in indigo
  * added launchfile to restart geotiff node
  * Contributors: Alexander Stumpf

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-one-hector-geotiff (0.3.2-0noble) noble; urgency=high

  * Add TrajectoryMapWriter to geotiff_mapper.launch per default
  * Add arguments to launch files for specifying geotiff file path
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-hector-geotiff (0.3.1-0noble) noble; urgency=high

  * added missing install rule for launch files
  * moved header files from include/geotiff_writer to include/hector_geotiff
  * fixed warnings for deprecated pluginlib method/macro calls
  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-one-hector-geotiff (0.3.0-0noble) noble; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-hector-geotiff
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libqt5widgets5t64, qtbase5-dev, ros-one-catkin, ros-one-hector-map-tools, ros-one-hector-nav-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Homepage: http://ros.org/wiki/hector_geotiff
Standards-Version: 3.9.2

Package: ros-one-hector-geotiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5widgets5t64, qt5-image-formats-plugins, qtbase5-dev, ros-one-hector-map-tools, ros-one-hector-nav-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs
Description: hector_geotiff provides a node that can be used to save occupancy grid map, robot trajectory and object of interest data to RoboCup Rescue compliant GeoTiff images.

## ros-one-hector-geotiff 0.5.2-6noble.20260220.2132

=== debian/changelog ===
ros-one-hector-geotiff (0.5.2-6noble.20260220.2132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Feb 2026 21:32:37 +0000
